Name:           ocaml-gstreamer
Summary:        OCaml bindings for gstreamer
Version:        0.2.0
Release:        %mkrel 7
Source0:        http://downloads.sourceforge.net/project/savonet/%{name}/%{version}/%{name}-%{version}.tar.gz
Patch0:         configure-requires-bigarray.patch
License:        LGPLv2
Group:          Development/OCaml
URL:            http://savonet.sourceforge.net/
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-camlidl-devel
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)

%description
This package provides an interface to the gstreamer library
for OCaml programmers.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-camlidl-devel
Requires:       pkgconfig(gstreamer-1.0)
Requires:       pkgconfig(gstreamer-plugins-base-1.0)

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q
#patch0 -p0

%build
./configure --libdir=%{_libdir}
make OCAMLMKLIB_FLAGS=`ocamlc -where`/libcamlidl.a

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/gstreamer
make install

%files
%doc COPYING CHANGES README
%dir %{_libdir}/ocaml/gstreamer
%{_libdir}/ocaml/gstreamer/META
%{_libdir}/ocaml/gstreamer/*.cma
%{_libdir}/ocaml/gstreamer/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%{_libdir}/ocaml/gstreamer/*.a
%{_libdir}/ocaml/gstreamer/*.cmxa
%{_libdir}/ocaml/gstreamer/*.cmx
%{_libdir}/ocaml/gstreamer/*.mli


%changelog
* Sun Feb 19 2017 daviddavid <daviddavid> 0.2.0-7.mga6
+ Revision: 1086855
- fix dependencies on gstreamer1.0

* Mon Sep 26 2016 pterjan <pterjan> 0.2.0-6.mga6
+ Revision: 1056381
- Rebuild for fix in ocaml

* Wed Feb 17 2016 umeabot <umeabot> 0.2.0-5.mga6
+ Revision: 963928
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-4.mga5
+ Revision: 747123
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.0-3.mga5
+ Revision: 683044
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.2.0-2.mga4
+ Revision: 528198
- Mageia 4 Mass Rebuild

* Sun Jun 16 2013 malo <malo> 0.2.0-1.mga4
+ Revision: 443727
- update to 0.2.0

* Sun Jan 13 2013 umeabot <umeabot> 0.1.0-6.mga3
+ Revision: 361409
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.1.0-5.mga3
+ Revision: 301566
- rebuild for ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.1.0-4.mga3
+ Revision: 300153
- new rpm group for ocaml

* Tue Apr 03 2012 blue_prawn <blue_prawn> 0.1.0-3.mga2
+ Revision: 228213
- provide libcamlidl.a for the "undefined symbol: camlidl_free" problem with dllgstreamer_stubs.so
- patch the configure file for the bigarray dependency in the META file

* Mon Nov 21 2011 malo <malo> 0.1.0-2.mga2
+ Revision: 170184
- missing Requires to ocaml-camlidl-devel

* Sun Nov 20 2011 malo <malo> 0.1.0-1.mga2
+ Revision: 170035
- imported package ocaml-gstreamer

